//<c>   Copyright 1995-2000 by Gerry J. Danen; all rights reserved.

//<t>   Check whether certain TSRs are installed

#include"gd_tools.h"
#include"gd_ansi.h"


void    show_status( STRING driverName, BOOL status )
{
    char *pL, *pNL ;

    if ( status )
    {
        pL  = "  \xFB" ;
        pNL = "" ;
    }
    else
    {
        pNL = "    \xFB" ;
        pL  = "" ;
    }
    printf( "\t\t %-17.17s  %-6s  %-10s \n", driverName, pL, pNL );
}


void    main( void )
{
    ansi_cls( 2, stderr );
//  logon(1);

    printf( "\n\t\tͻ\n" );
    printf( "\t\t Common Driver/TSR  Loaded  Not Loaded \n" );
    printf( "\t\tĶ\n" );

    show_status( "ANSI.SYS" , ISLOADED_ANSI()    );
    show_status( "HIMEM.SYS", ISLOADED_HIMEM()   );
    show_status( "APPEND"   , ISLOADED_APPEND()  );
    show_status( "ASSIGN"   , ISLOADED_ASSIGN()  );
    show_status( "DOSDOCK"  , ISLOADED_DOSDOCK() );
    show_status( "DOSKEY"   , ISLOADED_DOSKEY()  );
    show_status( "NLSFUNC"  , ISLOADED_NLSFUNC() );
    show_status( "PRINT"    , ISLOADED_PRINT()   );
    show_status( "SHARE"    , ISLOADED_SHARE()   );

    printf( "\t\tͼ\n" );
}
